/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IENCBinding.java 6280 2012-08-30 09:52:43Z albertil $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.api.enc;

/**
 * JNDI Binding used in ENC for a given type (like persistence context, ejb, etc.).
 *
 * @param <T> the given type
 *
 * @author Florent BENOIT
 */
public interface IENCBinding<T> {

    static final String DEFAULT_NS_PREFIX = "java:comp/env/";
    static final String NS_JAVA_COMP_PREFIX = "java:comp/";
    static final String NS_JAVA_GLOBAL_PREFIX = "java:global/";
    static final String NS_JAVA_APP_PREFIX = "java:app/";
    static final String NS_JAVA_MODULE_PREFIX = "java:module/";

    /**
     * @return the name used for the ENC.
     */
    String getName();

    /**
     * @return the object associated to the ENC name.
     */
    T getValue();
}
