/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IAroundInvoke.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;

import java.io.Serializable;

/**
 * Interface used for around-invoke element.
 * @author Florent Benoit
 */
public interface IAroundInvoke extends Serializable {

    /**
     * Name of this element.
     */
    String NAME = "around-invoke";

    /**
     * Sets the name of the class.
     * @param className the name of the class
     */
    void setClassName(final String className);

    /**
     * @return the class value.
     */
    String getClassName();

    /**
     * Sets the name of the method.
     * @param methodName the name of the method
     */
    void setMethodName(final String methodName);

    /**
     * @return the method name.
     */
    String getMethodName();

}
