/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: ILifeCycleCallback.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;

import java.io.Serializable;

/**
 * Interface used for lifecycle callback elements.
 * @author Florent Benoit
 */
public interface ILifeCycleCallback extends Serializable {

    /**
     * Name of this element.
     */
    String POST_ACTIVATE = "post-activate";

    /**
     * Name of this element.
     */
    String POST_CONSTRUCT = "post-construct";

    /**
     * Name of this element.
     */
    String PRE_DESTROY = "pre-destroy";

    /**
     * Name of this element.
     */
    String PRE_PASSIVATE = "pre-passivate";

    /**
     * Sets the name of the class.
     * @param lifecycleCallbackClass the name of the class
     */
    void setLifecycleCallbackClass(final String lifecycleCallbackClass);

    /**
     * @return the class value.
     */
    String getLifecycleCallbackClass();

    /**
     * Sets the name of the method.
     * @param lifecycleCallbackMethod the name of the method
     */
    void setMethodName(final String lifecycleCallbackMethod);

    /**
     * @return the method name.
     */
    String getLifecycleCallbackMethod();

}
